Get Segment Translations
curl --request GET \
--url https://streaming.lingopal.ai/v1/translations/{stream_id}/{segment_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://streaming.lingopal.ai/v1/translations/{stream_id}/{segment_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://streaming.lingopal.ai/v1/translations/{stream_id}/{segment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stream_id": "<string>",
"segment_id": 123,
"translations": [
{
"stream_id": "<string>",
"language_id": "<string>",
"segment_id": 123,
"timestamp": "<string>",
"end_time": "<string>",
"original_content": "<string>",
"speaker": "<string>",
"id": 123,
"content": "<string>",
"edited": true,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"total_languages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Translations
Get Segment Translations
Get all language translations for a specific segment.
GET
/
v1
/
translations
/
{stream_id}
/
{segment_id}
Get Segment Translations
Description
Get all language translations for a specific segment.Authentication
This endpoint requires an API Key.Include your API key in the
x-api-key header:
x-api-key: YOUR_API_KEY
Request
- Method: GET
- Endpoint:
/v1/translations/{stream_id}/{segment_id} - Path Parameters:
stream_id(string, required): Stream IDsegment_id(integer, required): Segment ID
Response
- Status: 200 OK
- Content-Type:
application/json
{
"stream_id": "string",
"segment_id": 0,
"translations": [
{
"stream_id": "string",
"language_id": "string",
"segment_id": 0,
"timestamp": "string",
"end_time": "string",
"original_content": "string",
"speaker": "string",
"id": 0,
"content": "string",
"edited": true,
"created_at": "2025-12-05T20:36:19.884Z",
"updated_at": "2025-12-05T20:36:19.884Z"
}
],
"total_languages": 0
}
Example Usage (cURL)
curl -X GET "https://streaming.lingopal-dev.com/v1/translations/your-stream-id/1" \
-H "x-api-key: YOUR_API_KEY"
⌘I